#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf php-5.2.17.tar.bz2
    cd php-5.2.17
    ./configure  --prefix=/usr/local --sysconfdir=/etc --localstatedir=/var \
	    --without-apache --without-apxs2 --disable-cli --enable-cgi \
	    --enable-fastcgi --enable-force-cgi-redirect \
	    --with-config-file-path=/etc/php/php.ini \
	    --disable-all --with-pcre-regex --enable-ctype --without-iconv \
	    --enable-json --enable-libxml --enable-posix --enable-sockets \
	    --enable-session --enable-spl --with-sqlite --enable-sqlite-utf8 \
	    --enable-tokenizer --enable-xml --with-exec-dir=/usr/local/php/bin
    make
    strip -R .note -R .comment sapi/cgi/php-cgi
    mkdir -p ../php5-cgi/bin ../php5-cgi/etc/php
    cp sapi/cgi/php-cgi ../php5-cgi/bin/
    cp php.ini-recommended ../php5-cgi/etc/php/php.ini
    cd ..
    rm -rf php-5.2.17
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
